Bug 605023 - X server freeze (Quadro NVS 290)(dualhead)
Summary: X server freeze (Quadro NVS 290)(dualhead)
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-nouveau   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Ben Skeggs
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-17 10:05 UTC by Michal Hlavinka
Modified: 2012-08-03 01:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 01:51:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (72.66 KB, text/plain)
2010-06-17 10:05 UTC, Michal Hlavinka
no flags Details

Description Michal Hlavinka 2010-06-17 10:05:50 UTC
Created attachment 424740 [details]
Xorg.0.log

Description of problem:
Once a while X server freeze. This happens on dell t5400 with VGA compatible controller [0300]: nVidia Corporation G86 [Quadro NVS 290] [10de:042f] (rev a1)

I have 2 lcds

Version-Release number of selected component (if applicable):
# rpm -qa 'xorg-x11-server*' 'xorg*nouveau' | sort
xorg-x11-drv-nouveau-0.0.16-8.20100423git13c1043.el6.x86_64
xorg-x11-server-common-1.7.7-11.el6.x86_64
xorg-x11-server-utils-7.4-15.el6.x86_64
xorg-x11-server-Xorg-1.7.7-11.el6.x86_64

How reproducible:
once a while

Steps to Reproduce:
1.use system for some time
2.
3.
  
Actual results:
X server freeze

Expected results:
no freeze

Additional info:
Jun 17 11:37:31 krles kernel: [drm] nouveau 0000:02:00.0: PFIFO_DMA_PUSHER - Ch 2

it's the only message in /var/log/messages before I killed X using SysRq+k

from Xorg log:
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x469258]
1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a30f4]
2: /usr/bin/X (xf86PostMotionEventP+0xc4) [0x473af4]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f9f85d5d000+0x51cf) [0x7f9f85d621cf]
4: /usr/bin/X (0x400000+0x749b7) [0x4749b7]
5: /usr/bin/X (0x400000+0x10d873) [0x50d873]
6: /lib64/libpthread.so.0 (0x33ab200000+0xf440) [0x33ab20f440]
7: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f9f87215000+0x1f438) [0x7f9f87234438]
8: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f9f87215000+0x20a80) [0x7f9f87235a80]
9: /usr/lib64/libdrm_nouveau.so.1 (nouveau_pushbuf_flush+0x1a2) [0x7f9f87012462]
10: /usr/lib64/xorg/modules/libexa.so (0x7f9f8618f000+0x9745) [0x7f9f86198745]
11: /usr/lib64/xorg/modules/libexa.so (0x7f9f8618f000+0xa2ea) [0x7f9f861992ea]
12: /usr/bin/X (0x400000+0xd5f8b) [0x4d5f8b]
13: /usr/lib64/xorg/modules/libexa.so (0x7f9f8618f000+0xb54d) [0x7f9f8619a54d]
14: /usr/bin/X (0x400000+0xd598e) [0x4d598e]
15: /usr/bin/X (0x400000+0xcf02e) [0x4cf02e]
16: /usr/bin/X (0x400000+0x2ab8c) [0x42ab8c]
17: /usr/bin/X (0x400000+0x2203a) [0x42203a]
18: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x33aaa1ec5d]
19: /usr/bin/X (0x400000+0x21bf9) [0x421bf9]

Comment 1 Michal Hlavinka 2010-06-17 10:10:28 UTC
this happens also in F-13 with 1.8 X server (bug #583604), but there was no such problem in F-12

Comment 3 RHEL Product and Program Management 2010-06-17 10:33:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 RHEL Product and Program Management 2010-07-15 14:56:06 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 7 RHEL Product and Program Management 2011-01-07 04:33:41 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 8 Suzanne Yeghiayan 2011-01-07 16:22:05 UTC
This request was erroneously denied for the current release of Red Hat
Enterprise Linux.  The error has been fixed and this request has been
re-proposed for the current release.

Comment 9 RHEL Product and Program Management 2011-02-01 06:04:47 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 10 RHEL Product and Program Management 2011-02-01 18:25:13 UTC
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.

Comment 11 RHEL Product and Program Management 2011-04-04 02:33:09 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 12 RHEL Product and Program Management 2011-10-07 16:15:42 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 13 Ben Skeggs 2012-07-11 07:00:07 UTC
Is this still an issue?

Comment 14 Michal Hlavinka 2012-07-16 12:21:12 UTC
(In reply to comment #13)
> Is this still an issue?

I don't know, I can't test it anymore


Note You need to log in before you can comment on or make changes to this bug.